'''
Simple class to keep track of whether or not we are in a macro action. 
Also tracks how many steps are in the macro action
'''

class MacroAction(object):

    def __init__ (self):
        self.macroCounter = 0

    def setMacroSteps (self, numSteps):
        self.macroCounter = numSteps

    def completeMacroStep (self):
        self.macroCounter -= 1

    def checkMacroComplete (self):
        if self.macroCounter == 0:
            return True
        else:
            return False
    
    def checkMacroCount (self):
        return self.macroCounter